<%@taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<f:view>
    <html xmlns="http://www.w3.org/1999/xhtml">
        <head>
			<link rel="stylesheet" type="text/css" href="css/messages.css" />
			<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
            <title>Biology</title>
        </head>
        <body>
			<h:messages infoClass="infoMessages" errorClass="errorMessages" />

			<h2>Edit</h2>

			<h:form id="editEntity">
				<h:panelGrid border="1" columns="2">
					<h:panelGroup>
						<h:outputText value="#{msg.no_animals}" rendered="#{empty persistenceManager.animals}"/>
						<h:dataTable var="animal" value="#{persistenceManager.animals}" border="1" rendered="#{!empty persistenceManager.animals}">
							<h:column>
								<f:facet name="header"><h:outputText value="#{msg.animals}"/></f:facet>
								<h:commandLink action="editAnimal">
									<f:setPropertyActionListener target="#{currentAnimal}" value="#{animal}"/>
									<h:outputText value="#{animal.name}"/>
								</h:commandLink>
							</h:column>
							<h:column>
								<f:facet name="header"><h:outputText value="#{msg.actions}"/></f:facet>
	
								<h:commandButton action="#{removeEntityRequest.removeEntity}" image="images/removePost.gif">
									<f:setPropertyActionListener target="#{removeEntityRequest.entity}" value="#{animal}"/>
								</h:commandButton>
							</h:column>
						</h:dataTable>
					</h:panelGroup>
					<h:panelGroup>
						<h:outputText value="#{msg.no_foods}" rendered="#{empty persistenceManager.foods}"/>
						<h:dataTable var="food" value="#{persistenceManager.foods}" border="1" rendered="#{!empty persistenceManager.foods}">
							<h:column>
								<f:facet name="header"><h:outputText value="#{msg.foods}"/></f:facet>
								<h:commandLink action="editFood">
									<f:setPropertyActionListener target="#{currentFood}" value="#{food}"/>
									<h:outputText value="#{food.name}"/>
								</h:commandLink>
							</h:column>
							<h:column>
								<f:facet name="header"><h:outputText value="#{msg.actions}"/></f:facet>
	
								<h:commandButton action="#{removeEntityRequest.removeEntity}" image="images/removePost.gif">
									<f:setPropertyActionListener target="#{removeEntityRequest.entity}" value="#{food}"/>
								</h:commandButton>
							</h:column>
						</h:dataTable>
					</h:panelGroup>	
				</h:panelGrid>
			</h:form>

	
			<h2>Add</h2>
			<h:form id="addEntity">
				<h:panelGrid border="1" columns="2">
					<h:outputLabel for="name" value="#{msg.name}" />
					<h:panelGroup>
						<h:inputText id="name" value="#{addEntityRequest.name}" required="true" label="#{msg.name}" />
						<h:message for="name" infoClass="infoMessages" errorClass="errorMessages" />
					</h:panelGroup>
					<h:panelGroup><h:outputText value="#{msg.add_label}"/></h:panelGroup>
					<h:panelGroup>
						<h:commandButton value="#{msg.add_reptile}" action="#{addEntityRequest.addReptile}" />
						<h:commandButton value="#{msg.add_bird}" action="#{addEntityRequest.addBird}" />
						<h:commandButton value="#{msg.add_food}" action="#{addEntityRequest.addFood}" />
					</h:panelGroup>
				</h:panelGrid>
			</h:form>
        </body>
    </html>
</f:view>