<%@taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<f:view>
    <html xmlns="http://www.w3.org/1999/xhtml">
        <head>
			<link rel="stylesheet" type="text/css" href="css/messages.css" />
			<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
            <title>Biology</title>
        </head>
        <body>
			<h:messages infoClass="infoMessages" errorClass="errorMessages" />

			<h2>Edit</h2>
			<h:form id="editAnimal">
				<h:panelGrid border="1" columns="2">
					<f:facet name="header"><h:outputText value="#{msg.general}"/></f:facet>
					<h:outputLabel for="name" value="#{msg.name}"/>
					<h:inputText id="name" value="#{currentAnimal.name}" required="true" label="#{msg.name}"/>

					<h:outputLabel for="canSwim" value="#{msg.canSwim}" rendered="#{currentAnimal.reptile}"/>
					<h:selectBooleanCheckbox id="canSwim" value="#{currentAnimal.canSwim}" rendered="#{currentAnimal.reptile}" />

					<h:outputLabel for="canFly" value="#{msg.canFly}" rendered="#{currentAnimal.bird}"/>
					<h:selectBooleanCheckbox id="canFly" value="#{currentAnimal.canFly}" rendered="#{currentAnimal.bird}" />

					<h:panelGroup>&nbsp;</h:panelGroup>

					<h:commandButton value="#{msg.edit_animal}" action="#{editAnimalRequest.editAnimal}">
						<f:setPropertyActionListener target="#{editAnimalRequest.animal}" value="#{currentAnimal}"/>
					</h:commandButton>

				</h:panelGrid>

				<h:panelGrid border="1" columns="3">
					<f:facet name="header"><h:outputText value="#{msg.select_food}"/></f:facet>
					<h:panelGroup>
						<h:outputLabel value="#{msg.selected}" for="selectedFoods" /><br />

						<h:selectManyListbox id="selectedFoods" size="5" value="#{editAnimalRequest.selected}">
							<f:selectItems value="#{currentAnimal.listFoods}"/>
						</h:selectManyListbox>
					</h:panelGroup>
					<h:panelGroup>
						<h:commandButton value="#{msg.select}" action="#{editAnimalRequest.selectFoods}">
							<f:setPropertyActionListener target="#{editAnimalRequest.animal}" value="#{currentAnimal}"/>
						</h:commandButton><br/>
						<h:commandButton value="#{msg.remove}" action="#{editAnimalRequest.removeFoods}">
							<f:setPropertyActionListener target="#{editAnimalRequest.animal}" value="#{currentAnimal}"/>
						</h:commandButton><br/>
					</h:panelGroup>

					<h:panelGroup>
						<h:outputLabel value="#{msg.available}" for="availableFoods" /><br />

						<h:selectManyListbox id="availableFoods" size="5" value="#{editAnimalRequest.available}">
							<f:selectItems value="#{currentAnimal.listAvailableFoods}"/>
						</h:selectManyListbox>
					</h:panelGroup>

				</h:panelGrid>
			</h:form>
        </body>
    </html>
</f:view>