<%@taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<f:view>
    <html xmlns="http://www.w3.org/1999/xhtml">
        <head>
			<link rel="stylesheet" type="text/css" href="css/messages.css" />
			<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
            <title>Biology</title>
        </head>
        <body>
			<h:messages infoClass="infoMessages" errorClass="errorMessages" />

			<h2>Edit</h2>
			<h:form id="editFood">
				<h:panelGrid border="1" columns="2">
					<h:outputLabel for="name" value="#{msg.name}"/>
					<h:inputText id="name" value="#{currentFood.name}" required="true" label="#{msg.name}"/>

					<h:panelGroup>&nbsp;</h:panelGroup>

					<h:commandButton value="#{msg.edit_animal}" action="#{editFoodRequest.editFood}">
						<f:setPropertyActionListener target="#{editFoodRequest.food}" value="#{currentFood}"/>
					</h:commandButton>

				</h:panelGrid>
				

				<h:panelGrid border="1" columns="3">
					<f:facet name="header"><h:outputText value="#{msg.select_animal}"/></f:facet>
					<h:panelGroup>
						<h:outputLabel value="#{msg.selected}" for="selectedAnimals" /><br />

						<h:selectManyListbox id="selectedAnimals" size="5" value="#{editFoodRequest.selected}">
							<f:selectItems value="#{currentFood.listAnimals}"/>
						</h:selectManyListbox>
					</h:panelGroup>
					<h:panelGroup>
						<h:commandButton value="#{msg.select}" action="#{editFoodRequest.selectAnimals}">
							<f:setPropertyActionListener target="#{editFoodRequest.food}" value="#{currentFood}"/>
						</h:commandButton><br/>
						<h:commandButton value="#{msg.remove}" action="#{editFoodRequest.removeAnimals}">
							<f:setPropertyActionListener target="#{editFoodRequest.food}" value="#{currentFood}"/>
						</h:commandButton><br/>
					</h:panelGroup>

					<h:panelGroup>
						<h:outputLabel value="#{msg.available}" for="availableAnimals" /><br />

						<h:selectManyListbox id="availableAnimals" size="5" value="#{editFoodRequest.available}">
							<f:selectItems value="#{currentFood.listAvailableAnimals}"/>
						</h:selectManyListbox>
					</h:panelGroup>

				</h:panelGrid>				
			</h:form>
        </body>
    </html>
</f:view>