package org.elsysbg.courses.ip.jpa.biology.helper;

import java.util.ArrayList;
import java.util.List;

import javax.faces.application.FacesMessage;
import javax.faces.context.FacesContext;
import javax.faces.model.SelectItem;

import org.elsysbg.courses.ip.jpa.biology.model.AbstractEntity;

import com.sun.faces.util.MessageFactory;

public class CommonHelper {
//	public static Map<String, Object> getSessionMap() {
//		return FacesContext.getCurrentInstance().getExternalContext().getSessionMap();
//	}
//	
	public static void removeRequestMap(final Object key) {
		FacesContext.getCurrentInstance().getExternalContext().getRequestMap().remove(key);
	}

	public static void putSessionMap(final String key, final Object value) {
		FacesContext.getCurrentInstance().getExternalContext().getSessionMap().put(key, value);
	}
	
	public static void putApplicationMap(final String key, final Object value) {
		FacesContext.getCurrentInstance().getExternalContext().getApplicationMap().put(key, value);
	}
	
	public static void addMessage(final String key, final boolean errorMessage) {
		final FacesMessage facesMessage = MessageFactory.getMessage(key);
		facesMessage.setSeverity(errorMessage?FacesMessage.SEVERITY_ERROR:FacesMessage.SEVERITY_INFO);
		
		FacesContext.getCurrentInstance().addMessage(null, facesMessage);
	}
/*	public static void addMessage(final String message, final boolean errorMessage) {
		final FacesMessage facesMessage = new FacesMessage(message);
		facesMessage.setSeverity(errorMessage?FacesMessage.SEVERITY_ERROR:FacesMessage.SEVERITY_INFO);
		
		FacesContext.getCurrentInstance().addMessage(null, facesMessage);
	}
*/
	public static List<SelectItem> toSelectItemList(List<? extends AbstractEntity> entities) {
		final List<SelectItem> result = new ArrayList<SelectItem>(entities.size());
		for(final AbstractEntity entity:entities) {
			result.add(new SelectItem(entity, entity.getLabel()));
		}
		return result;
	}
}
