package org.elsysbg.courses.ip.jpa.biology.model;

import java.util.ArrayList;
import java.util.List;

import javax.faces.model.SelectItem;
import javax.persistence.Entity;
import javax.persistence.ManyToMany;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;

import org.elsysbg.courses.ip.jpa.biology.helper.CommonHelper;

@Entity
@NamedQueries({
	@NamedQuery(
			name="getFoods",//get all foods
			query="SELECT f FROM Food f"
			),
})
public class Food extends AbstractEntity {
	private String name;

	@ManyToMany(mappedBy="foods")
	private List<Animal> animals = new ArrayList<Animal>();
	
	public void setName(String name) {
		this.name = name;
	}

	public String getName() {
		return name;
	}

	synchronized public void setAnimals(List<Animal> animals) {
		this.animals = animals;
	}

	synchronized public List<Animal> getAnimals() {
		return animals;
	}

	@Override
	public String getLabel() {
		return name;
	}
	
	public List<SelectItem> getListAvailableAnimals() {
		final List<Animal> result = PersistenceManager.getInstance().getAnimals();
		result.removeAll(getAnimals());
		return CommonHelper.toSelectItemList(result);
	}
	
	public List<SelectItem> getListAnimals() {
		return CommonHelper.toSelectItemList(getAnimals());
	}

	synchronized public boolean addAnimal(Animal animal) {
		if(animals.contains(animal)) {
			return false;
		}
		
		animals.add(animal);
		
		animal.addFood(this);
		return true;
	}
	
	synchronized public boolean removeAnimal(Animal animal) {
		if(!animals.contains(animal)) {
			return false;
		}
		
		animals.remove(animal);
		
		animal.removeFood(this);
		return true;
	}
	
}
