package org.elsysbg.courses.ip.jpa.biology.request;

import org.elsysbg.courses.ip.jpa.biology.helper.CommonHelper;
import org.elsysbg.courses.ip.jpa.biology.model.Bird;
import org.elsysbg.courses.ip.jpa.biology.model.Food;
import org.elsysbg.courses.ip.jpa.biology.model.PersistenceManager;
import org.elsysbg.courses.ip.jpa.biology.model.Reptile;
import org.elsysbg.courses.ip.jpa.biology.application.ManagedBeanKeys;
import org.elsysbg.courses.ip.jpa.biology.application.MessageKeys;
import org.elsysbg.courses.ip.jpa.biology.application.NavigationOutcomes;

public class AddEntity {

	private String name;

	public void setName(String name) {
		this.name = name;
	}

	public String getName() {
		return name;
	}
	
	public String addReptile() {
		final Reptile reptile = new Reptile();
		reptile.setName(name);
		
		if(PersistenceManager.getInstance().addEntity(reptile)) {
			CommonHelper.addMessage(MessageKeys.reptileAdded, false);
			CommonHelper.putSessionMap(ManagedBeanKeys.currentAnimal, reptile);
			return NavigationOutcomes.editAnimal;
		} else {
			CommonHelper.addMessage(MessageKeys.reptileAddError, true);
			return NavigationOutcomes.again;
		}

	}
	
	public String addBird() {
		final Bird bird = new Bird();
		bird.setName(name);
		
		if(PersistenceManager.getInstance().addEntity(bird)) {
			CommonHelper.addMessage(MessageKeys.birdAdded, false);
			CommonHelper.putSessionMap(ManagedBeanKeys.currentAnimal, bird);
			return NavigationOutcomes.editAnimal;
		} else {
			CommonHelper.addMessage(MessageKeys.birdAddError, true);
			return NavigationOutcomes.again;
		}
		
	}

	public String addFood() {
		final Food food = new Food();
		food.setName(name);
		
		if(PersistenceManager.getInstance().addEntity(food)) {
			CommonHelper.addMessage(MessageKeys.foodAdded, false);
			CommonHelper.putSessionMap(ManagedBeanKeys.currentFood, food);
			return NavigationOutcomes.editFood;
		} else {
			CommonHelper.addMessage(MessageKeys.foodAddError, true);
			return NavigationOutcomes.again;
		}
		
	}

}
