package org.elsysbg.courses.ip.jpa.biology.request;

import org.elsysbg.courses.ip.jpa.biology.helper.CommonHelper;
import org.elsysbg.courses.ip.jpa.biology.model.Animal;
import org.elsysbg.courses.ip.jpa.biology.model.Food;
import org.elsysbg.courses.ip.jpa.biology.model.PersistenceManager;
import org.elsysbg.courses.ip.jpa.biology.application.MessageKeys;
import org.elsysbg.courses.ip.jpa.biology.application.NavigationOutcomes;

public class EditAnimal {
	
	private Animal animal;
	
	private Food[] selected;
	private Food[] available;
	
	public String editAnimal() {
		if(PersistenceManager.getInstance().addEntity(animal)) {
			CommonHelper.addMessage(MessageKeys.animalEdited, false);
		} else {
			CommonHelper.addMessage(MessageKeys.animalEditError, true);
		}
		
		return NavigationOutcomes.add;
	}

	public void setAnimal(Animal animal) {
		this.animal = animal;
	}

	public Animal getAnimal() {
		return animal;
	}
	
	public String selectFoods() {
		boolean changed = false;
		
		for(final Food food: available) {
			changed |= animal.addFood(food);
		}
		
		if(changed) {
			if(PersistenceManager.getInstance().addEntity(animal)) {
				CommonHelper.addMessage(MessageKeys.animalEdited, false);
			} else {
				CommonHelper.addMessage(MessageKeys.animalEditError, true);
			}
		}
		
		return NavigationOutcomes.again;
	}
	public String removeFoods() {
		boolean changed = false;
		
		for(final Food food: selected) {
			changed |= animal.removeFood(food);
		}
		
		if(changed) {
			if(PersistenceManager.getInstance().addEntity(animal)) {
				CommonHelper.addMessage(MessageKeys.animalEdited, false);
			} else {
				CommonHelper.addMessage(MessageKeys.animalEditError, true);
			}
		}		
		return NavigationOutcomes.again;
	}

	public void setAvailable(Food[] available) {
		this.available = available;
	}

	public Food[] getAvailable() {
		return available;
	}

	public void setSelected(Food[] selected) {
		this.selected = selected;
	}

	public Food[] getSelected() {
		return selected;
	}


}
