package org.elsysbg.courses.ip.jpa.biology.request;

import org.elsysbg.courses.ip.jpa.biology.helper.CommonHelper;
import org.elsysbg.courses.ip.jpa.biology.model.Animal;
import org.elsysbg.courses.ip.jpa.biology.model.Food;
import org.elsysbg.courses.ip.jpa.biology.model.PersistenceManager;
import org.elsysbg.courses.ip.jpa.biology.application.MessageKeys;
import org.elsysbg.courses.ip.jpa.biology.application.NavigationOutcomes;

public class EditFood {
	
	private Food food;
	
	private Animal[] selected;
	private Animal[] available;
	
	public String editFood() {
		if(PersistenceManager.getInstance().addEntity(food)) {
			CommonHelper.addMessage(MessageKeys.foodEdited, false);
		} else {
			CommonHelper.addMessage(MessageKeys.foodEditError, true);
		}
		
		return NavigationOutcomes.add;
	}

	public void setFood(Food food) {
		this.food = food;
	}

	public Food getFood() {
		return food;
	}

	public String selectAnimals() {
		boolean changed = false;
		
		for(final Animal animal: available) {
			changed |= food.addAnimal(animal);
		}
		
		if(changed) {
			if(PersistenceManager.getInstance().addEntity(food)) {
				CommonHelper.addMessage(MessageKeys.foodEdited, false);
			} else {
				CommonHelper.addMessage(MessageKeys.foodEditError, true);
			}
		}
		
		return NavigationOutcomes.again;
	}
	public String removeAnimals() {
		boolean changed = false;
		
		for(final Animal animal: selected) {
			changed |= food.removeAnimal(animal);
		}
		
		if(changed) {
			if(PersistenceManager.getInstance().addEntity(food)) {
				CommonHelper.addMessage(MessageKeys.foodEdited, false);
			} else {
				CommonHelper.addMessage(MessageKeys.foodEditError, true);
			}
		}
		return NavigationOutcomes.again;
	}

	public void setSelected(Animal[] selected) {
		this.selected = selected;
	}

	public Animal[] getSelected() {
		return selected;
	}

	public void setAvailable(Animal[] available) {
		this.available = available;
	}

	public Animal[] getAvailable() {
		return available;
	}
}
